module LEMON_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export liblemoncxxwrap
const liblemoncxxwrap_path = "/usr/lib/liblemoncxxwrap.so"
liblemoncxxwrap_handle = C_NULL
get_liblemoncxxwrap_path() = liblemoncxxwrap_path
const liblemoncxxwrap = "liblemoncxxwrap.so"
export dimacs_solver
const dimacs_solver_path = "/usr/bin/dimacs-solver"
dimacs_solver(f::Function; kw...) = f(dimacs_solver_path)
dimacs_solver(; kw...) = Cmd([dimacs_solver_path])
export dimacs_to_lgf
const dimacs_to_lgf_path = "/usr/bin/dimacs-to-lgf"
dimacs_to_lgf(f::Function; kw...) = f(dimacs_to_lgf_path)
dimacs_to_lgf(; kw...) = Cmd([dimacs_to_lgf_path])
export lgf_gen
const lgf_gen_path = "/usr/bin/lgf-gen"
lgf_gen(f::Function; kw...) = f(lgf_gen_path)
lgf_gen(; kw...) = Cmd([lgf_gen_path])
function __init__()
    global liblemoncxxwrap_handle = dlopen(liblemoncxxwrap_path)
end
end
